# Code of conduct

This document puts ground rules of community.

We, as a community, must assure a harassment-free experience for everyone,
regardless of age, body size, disability, ethnicity, gender identity and
expression, level of experience, nationality, personal appearance, race,
religion, or sexual identity and orientation.

This code of conduct must apply equally to community's members or those seeking
help in any discussion involving community (e.g. on GitHub or during events).

## Standards

Examples of behavior that contributes to creating a positive environment
include:

- using welcoming and inclusive language
- being respectful of differing viewpoints and experiences
- gracefully accepting constructive criticism
- focusing on what is best for the community
- showing empathy towards other community members

Examples of unacceptable behavior by participants include:

- the use of sexualized language or imagery and unwelcome sexual attention or
  advances
- trolling, insulting/derogatory comments, and personal or political attacks
- public or private harassment
- publishing others' private information, such as a physical or electronic
  address, without explicit permission
- other conduct which could reasonably be considered inappropriate in a
  professional setting

## Enforcement

Possible responses to a violation of the code of conduct include:

- give a warning in discussion where violation happened
- give a private reprimand with all implicated people in copy
- request for public or private apology
- impose vacation
- permanent or temporary ban if it can apply

## Report

If you want to report an inadequate behaviour, please email me (Marien) at
[lessy@marienfressinaud.fr](lessy@marienfressinaud.fr) (I'll try to set a more
collegiate email address later).

Then, I'll do my best to review the report and give a public answer within 24
hours.

Complainer will be asked if resolution is acceptable but there is no
requirement of agreement to avoid blockage.

What if I'm implied in violation myself (Marien)? That's a good question that
we must sort out quickly and I don't have good answer to give yet. That's the
importance to build a more concrete community! For the moment I can only
encourage you to reach me directly so we can discuss it and I'll try to take an
action myself based on this code of conduct.

## Attribution

This code of conduct is inspired (and adapted for some parts) from [Contributor
Covenant](https://www.contributor-covenant.org/), version 1.4, available at
https://www.contributor-covenant.org/version/1/4/code-of-conduct.html.

It is also inspired from the [Django enforcement manual](https://www.djangoproject.com/conduct/enforcement-manual/).
